Name:		crda
Version:	4.14
Release:	%mkrel 4
Summary:	Software to upload wireless regulatory information into kernel
License:	ISC
Group:		System/Kernel and hardware
URL:		http://linuxwireless.org/en/developers/Regulatory/CRDA
Source0:	http://wireless.kernel.org/download/crda/crda-%{version}.tar.xz
Source2:        setregdomain
Source3:        setregdomain.1
Patch1:		regulatory-rules-setregdomain.patch
Patch2:		crda-remove-ldconfig.patch
BuildRequires:	libgcrypt-devel
BuildRequires:	libnl3-devel
BuildRequires:	python-m2crypto
BuildRequires:	wireless-regdb

Requires:	udev
Requires:	wireless-regdb

%description
CRDA acts as the udev helper for communication between the kernel and
userspace for regulatory compliance. It relies on nl80211 for
communication. CRDA is intended to be run only through udev
communication from the kernel. The user should never have to run it
manually except if debugging udev issues.

%package devel
Summary:        Header files for use with libreg
Group:          Development/Libraries

%description devel
Header files to make use of libreg for accessing regulatory info.

%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags} -Wno-error=unused-const-variable"
%make_build V=1

%install
%make_install SBINDIR=%{_sbindir} UDEV_RULE_DIR=/lib/udev/rules.d/ LIBDIR=%{_libdir}
mkdir -p %{buildroot}%{_prefix}/lib/crda
install -D -pm 0755 %SOURCE2 %{buildroot}%{_sbindir}/
install -D -pm 0644 %SOURCE3 %{buildroot}%{_mandir}/man1/setregdomain.1

%files
%dir %{_prefix}/lib/crda
%{_mandir}/man1/setregdomain.1*
%{_mandir}/man8/crda.8*
%{_mandir}/man8/regdbdump.8*
/lib/udev/rules.d/85-regulatory.rules
%{_libdir}/libreg.so
%{_sbindir}/crda
%{_sbindir}/regdbdump
%{_sbindir}/setregdomain

%files devel
%{_includedir}/reglib/nl80211.h
%{_includedir}/reglib/regdb.h
%{_includedir}/reglib/reglib.h

%changelog
* Sat Oct 15 2022 tex - 4.14-4pclos2022
- fix rpm group

* Sun Aug 19 2018 tex 4.14-3pclos2018
- fix patch location of setregdomain

* Sat Aug 11 2018 onkelho <oh.quait at gmail.com> 4.14-2pclos2018
- rebuild against newer wireless-regdb

* Sun Apr 01 2018 bb2 <bb2> - 4.14-1pclos2018
- new git version

* Sun Apr 01 2018 bb2 <bb2> - 3.18-2pclos2018
- update and split out devel package

* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 3.18-1pclos2017
- 3.18
- rebuild against new libgcrypt

* Tue Jan 19 2010 Texstar <texstar at gmail.com> 1.1.0-1pclos2010
- 1.1.0 for 2010 release
